Bug 100615 - Customer service Specfic changes
Customer service Specfic changes
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
RHN Devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Red Hat Satellite QA List
Depends On:
Blocks: 101005
  Show dependency treegraph
Reported: 2003-07-23 14:20 EDT by Narsi Subramanian
Modified: 2015-03-03 17:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-08-05 15:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Narsi Subramanian 2003-07-23 14:20:59 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
As discussed the following changes are required on the RHN site specific to
customer service. When folks send emails to customer service there is no
customer number or login information. Appreciate if either one or both is
included so CS can pull the entitlement information easily.

Secondly, the RHN payment page needs the following changes. This is
critical because we can start the customer without waiting for his/her
payment. Appreciate if both changes can be included in the next RHN push.

To purchase RHN entitlements, you may also mail a check or money order to us
using the following address...

Remittance Address:
Red Hat
PO Box 951701
Dallas, TX  75395-1701

If you are mailing in payment for your RHN Entitlement purchase, be sure to also
email your order details to rhn-payment@redhat.com.  Your email should include
your check number, the total amount of payment, type and quantity of
entitlement(s) desired, and the Red Hat Username you will be using to manage
your entitlements.  Failure to send an email containing this information may
result in a delay of your RHN Entitlement service activation.


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.AS above.

Additional info:
Comment 1 Robin Norwood 2003-07-30 13:59:08 EDT
Both changes in CVS: The first request involved changing the message template to
include the user login, and oracle customer number (if any).

In the second request, '*LOCKBOX*' doesn't look right to me there, but I put it
in verbatim.  e-mail sent to narsis requesting confirmation.
Comment 2 Robin Norwood 2003-07-30 14:01:16 EDT
Testing notes:

The change also affects the message body for 'regular' feedback sent from
/help/contact.pxt, as the code is the same.

Doc notes:

The first change isn't customer-visable.  The second change is visible in the
reworded text at /network/sales/index.pxt
Comment 3 Josef Komenda 2003-08-04 10:11:12 EDT
User Login: jkomenda
User ID: 2011903
Customer Number: None

What is 'Customer Number' supposed to be?
Comment 4 Robin Norwood 2003-08-04 10:22:02 EDT
The oracle customer number - web_customer.oracle_customer_number in our schema.
 No idea what it's used for - our side of the codebase doesn't use it at all. 
Narsi asked for it, so I put it in....
Comment 5 Josef Komenda 2003-08-04 12:18:27 EDT
Ok, looks good in dev.
Comment 6 Josef Komenda 2003-08-04 17:39:52 EDT
Looks good in QA.
Comment 7 Josef Komenda 2003-08-05 15:54:03 EDT
Looks good in prod. 

Note You need to log in before you can comment on or make changes to this bug.